#	Copyright (c) 1995, 1997 EdelWeb, France
#	All rights reserved.
#
#	Author: Jean-Christophe Touvet, EdelWeb, France
GMKPATH = ..
include $(GMKPATH)/Makefile.config

CFLAGS = -I.. -I../nlib $(COPT)
# You can define H_DONTPARSE to skip client headers parsing, which is quite
# unuseful by now
#CFLAGS = -I.. -I../nlib $(COPT) -DH_DONTPARSE

# Debug mode
#CFLAGS = -I.. -I../nlib $(COPT) -DBINDDEBUG -DBINDDEBUGPORT=9100
LDFLAGS = $(LDFL) -L.. -lfwall $(AUXLIB)

BINOBJS = ssl-gw
SGWOBJS = ssl-gw.o
ALLOBJS = $(SGWOBJS) $(BINOBJS)

all: $(ALLOBJS)

ssl-gw: $(SGWOBJS) ../libfwall.a
	$(OFWTKLINK) $(SGWOBJS)
